Facebook API
Alrededor de 2 mil millones de usuarios diarios comparten publicaciones, fotos, videos, grupos, eventos y listados de Marketplace en Facebook, lo que lo convierte en un sitio clave para el alcance comunitario, el servicio al cliente, el descubrimiento local y el comercio social.
URL base
https://api.pressmonitor.com/facebook/v1 Autenticación
Todas las solicitudes utilizan autenticación mediante token Bearer. Agrega el encabezado de Autorización a cada llamada.
Authorization: Bearer YOUR_TOKEN /album-metadata Metadatos del Álbum
Album Metadata
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| album_id | string | query | Sí | ID del Álbum |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/album-metadata" querystring = {"album_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/event-details Detalles del Evento
Event Details
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| event_id | string | query | Sí | ID del Evento |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/event-details?event_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/event-details" querystring = {"event_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/events-search Buscar Eventos
Events Search
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/events-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/get-post Obtener Publicación
Get Post
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| post_id | string | query | Sí | ID de la Publicación |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/get-post?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/get-post" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/group-about Acerca del Grupo
Group About
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| id | string | query | Sí | ID |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-about?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-about" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/group-admins Administradores del Grupo
Group Admins
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| id | string | query | Sí | ID |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-admins" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/group-albums Álbumes del Grupo
Group Albums
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| id | string | query | Sí | ID |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-albums" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/group-feed Feed del Grupo
Group Feed
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| id | string | query | Sí | ID |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-feed" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/group-info Información del Grupo
Group Info
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| id | string | query | Sí | ID |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-info?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-info" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/group-members Miembros del Grupo
Group Members
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| id | string | query | Sí | ID |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-members" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/group-photos Fotos del Grupo
Group Photos
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| id | string | query | Sí | ID |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-photos" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/groups Grupos
Groups
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/groups" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/marketplace-product Producto del Marketplace
Marketplace Product
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| product_id | string | query | Sí | ID del Producto |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-product" querystring = {"product_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/marketplace-profile Perfil del Marketplace
Marketplace Profile
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| user_id | string | query | Sí | ID de usuario |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-profile" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/marketplace-search Búsqueda en Marketplace
Marketplace Search
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/page-albums Álbumes de la Página
Page Albums
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| id | string | query | Sí | ID |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-albums" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/page-details Detalles de la Página
Page Details
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| id | string | query | Sí | ID |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-details?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-details" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/page-feed Feed de la Página
Page Feed
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| id | string | query | Sí | ID |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-feed" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/pages-search Buscar Páginas
Pages Search
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/pages-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/pages-search-post Buscar Publicaciones en Páginas
Pages Search Post
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/pages-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/photos Fotos
Photos
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/photos" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/post-comments Comentarios de la Publicación
Post Comments
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| post_id | string | query | Sí | ID de la Publicación |
| end_cursor | string | query | No | Cursor Final |
| order | string | query | No | Orden |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-comments" querystring = {"post_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE","order":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/post-reactions Reacciones de la Publicación
Post Reactions
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| post_id | string | query | Sí | ID de la Publicación |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-reactions" querystring = {"post_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/post-reactions-count Conteo de Reacciones a la Publicación
Post Reactions Count
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| post_id | string | query | Sí | ID de la Publicación |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-reactions-count" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/posts-search Buscar Publicaciones
Posts Search
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| date_posted | string | query | No | Fecha de Publicación |
| end_cursor | string | query | No | Cursor Final |
| end_date | string | query | No | Fecha Final |
| recent_posts | string | query | No | Publicaciones Recientes |
| start_date | string | query | No | Fecha de Inicio |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/posts-search" querystring = {"query":"SOME_STRING_VALUE","date_posted":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE","end_date":"SOME_STRING_VALUE","recent_posts":"SOME_STRING_VALUE","start_date":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/posts-search-post Buscar Publicaciones
Posts Search Post
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/posts-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/profile-about Acerca del Perfil
Profile About
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| user_id | string | query | Sí | ID de usuario |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-about?user_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-about" querystring = {"user_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/profile-albums Álbumes del Perfil
Profile Albums
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| user_id | string | query | Sí | ID de usuario |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-albums" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/profile-feed Feed del Perfil
Profile Feed
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| user_id | string | query | Sí | ID de usuario |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-feed" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/profile-friends Amigos del Perfil
Profile Friends
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| user_id | string | query | Sí | ID de usuario |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-friends" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/profile-likes Me gusta del Perfil
Profile Likes
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| user_id | string | query | Sí | ID de usuario |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-likes" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/profile-page Página del Perfil
Profile Page
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| user_id | string | query | Sí | ID de usuario |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-page?user_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-page" querystring = {"user_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/profile-photos Fotos del Perfil
Profile Photos
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| user_id | string | query | Sí | ID de usuario |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-photos" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/profile-search Buscar Perfil
Profile Search
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/profile-search-post Buscar Publicaciones del Perfil
Profile Search Post
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/profile-videos Videos del Perfil
Profile Videos
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| user_id | string | query | Sí | ID de usuario |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-videos" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/url URL
Url
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| url | string | query | Sí | URL |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/url?url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/url" querystring = {"url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/video-id-url URL de ID de Video
Video Id Url
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| url | string | query | Sí | URL |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/video-id-url?url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/video-id-url" querystring = {"url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respuestas
/videos Videos
Videos
Parámetros
| Nombre | Tipo | Ubicación | Requerido | Descripción |
|---|---|---|---|---|
| query | string | query | Sí | Consulta de búsqueda |
| end_cursor | string | query | No | Cursor Final |
Ejemplos de código
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/videos" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute();